Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.ibm.workplace.wcm.api.digitalasset
Enum DigitalAssetMetaData.CATEGORY

    java.lang.Object
      java.lang.Enum<DigitalAssetMetaData.CATEGORY>
          com.ibm.workplace.wcm.api.digitalasset.DigitalAssetMetaData.CATEGORY

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DigitalAssetMetaData.CATEGORY>

Enclosing interface:
  DigitalAssetMetaData

    public static enum DigitalAssetMetaData.CATEGORY

extends java.lang.Enum<DigitalAssetMetaData.CATEGORY>

meta data categories, used to group the properties.

Enum Constant Summary
`ASSET` general data for the asset, default category if none is supplied
`CDN` meta data related to Content Delivery Networks
`METADATA` asset provider specific metadata

Method Summary
`static DigitalAssetMetaData.CATEGORY` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DigitalAssetMetaData.CATEGORY[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ASSET

    public static final DigitalAssetMetaData.CATEGORY ASSET

  general data for the asset, default category if none is supplied

### CDN

    public static final DigitalAssetMetaData.CATEGORY CDN

  meta data related to Content Delivery Networks

### METADATA

    public static final DigitalAssetMetaData.CATEGORY METADATA

  asset provider specific metadata

Method Detail

### values

    public static DigitalAssetMetaData.CATEGORY[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DigitalAssetMetaData.CATEGORY c : DigitalAssetMetaData.CATEGORY.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DigitalAssetMetaData.CATEGORY valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD